exports.dialog = {
  'en_US': [{
    type: 'ModalAlert',
    options: {
      markdowns: [
        '## Great Job!!!',
        '',
        'You solved the level in *{numCommands}* command(s); ',
        'our solution uses {best}.'
      ]
    }
  }],
  'de_DE': [{
    type: 'ModalAlert',
    options: {
      markdowns: [
        '## Super gemacht!!!',
        '',
        'Du hast das Level mit *{numCommands}* Befehl(en) gelöst;',
        'unsere Lösung nutzt {best}.'
      ]
    }
  }],
  'ja': [{
    type: 'ModalAlert',
    options: {
      markdowns: [
        '## 完成!!!',
        '',
        'あなたは*{numCommands}*回のコマンドでこの課題をクリアしました; ',
        '模範解答では{best}回です。',
        '',
        '模範解答は、右下の`?`メニューの`Solution`から見ることができます。'
      ]
    }
  }],
  'zh_CN': [{
    type: 'ModalAlert',
    options: {
      markdowns: [
        '## 好样的!!!',
        '',
        '你用 *{numCommands}* 条命令通过了这一关；',
        '我们的答案要用 {best} 条命令。'
      ]
    }
  }],
  'zh_TW': [{
    type: 'ModalAlert',
    options: {
      markdowns: [
        '## 太棒了!!!',
        '',
        '您用了 *{numCommands}* 個指令完成這一關，',
        '我們的解答用了 {best} 個。'
      ]
    }
  }],
  'es_AR': [{
    type: 'ModalAlert',
    options: {
      markdowns: [
        '## ¡Buen trabajo!!!',
        '',
        'Resolviste el nivel en *{numCommands}* comandos; ',
        'nuestra mejor solución usa {best}.'
      ]
    }
  }],
  'es_MX': [{
    type: 'ModalAlert',
    options: {
      markdowns: [
        '## ¡Buen trabajo!!!',
        '',
        'Resolviste el nivel en *{numCommands}* comandos; ',
        'nuestra mejor solución usa: {best}.'
      ]
    }
  }],
  'es_ES': [{
    type: 'ModalAlert',
    options: {
      markdowns: [
        '## ¡Buen trabajo!!!',
        '',
        'Resolviste el nivel en *{numCommands}* comandos; ',
        'nuestra mejor solución usa {best}.'
      ]
    }
  }],
  'pt_BR': [{
    type: 'ModalAlert',
    options: {
      markdowns: [
        '## Bom trabalho!!!',
        '',
        'Você resolveu o nível usando *{numCommands}* comandos; ',
        'nossa melhor solução usa {best}.'
      ]
    }
  }],
  'gl': [{
    type: 'ModalAlert',
    options: {
      markdowns: [
        '## Bo traballo!!!',
        '',
        'Resolviches o nivel empregando *{numCommands}* comandos; ',
        'a nosa mellor solución é en {best}.'
      ]
    }
  }],
  'fr_FR': [{
    type: 'ModalAlert',
    options: {
      markdowns: [
        '## Beau Travail!!!',
        '',
        'Vous avez résolu le niveau en *{numCommands}* commande(s); ',
        'notre solution le fait en {best}.'
      ]
    }
  }],
  'ru_RU': [{
    type: 'ModalAlert',
    options: {
      markdowns: [
        '## Супер!!!',
        '',
        'Ты прошёл уровень. Количество использованных команд - *{numCommands}* ; ',
        'а наше решение состоит из {best}.'
      ]
    }
  }],
  'uk': [{
    type: 'ModalAlert',
    options: {
      markdowns: [
        '## Молодець!!!',
        '',
        'Ти пройшов рівень. Кількість використаних команд \u2014 *{numCommands}*; ',
        'наш розв’язок складається з {best}.'
      ]
    }
  }],
  'ko': [{
    type: 'ModalAlert',
    options: {
      markdowns: [
        '## 훌륭합니다!!!',
        '',
        '*{numCommands}*개의 명령으로 레벨을 통과했습니다; ',
        '모범 답안은 {best}개를 사용합니다.'
      ]
    }
  }],
  'vi': [{
    type: 'ModalAlert',
    options: {
      markdowns: [
        '## Làm tốt lắm!!!',
        '',
        'Bạn hoàn thành cấp độ này với *{numCommands}* câu lệnh; ',
        'Đáp án của chúng tôi sử dụng {best}.'
      ]
    }
  }],
  'sl_SI': [{
    type: 'ModalAlert',
    options: {
      markdowns: [
        '## Dobro opravljeno!!!',
        '',
        'Rešil si stopnjo z *{numCommands}* ukazi; ',
        'naša rešitev uporabi {best}.'
      ]
    }
  }],
  'pl': [{
    type: 'ModalAlert',
    options: {
      markdowns: [
        '## Dobra robota!!!',
        '',
        'Rozwiązałeś poziom używając *{numCommands}* poleceń/ia; ',
        'nasze rozwiązanie składa się z {best}.'
      ]
    }
  }],
  'ta_IN': [{
    type: 'ModalAlert',
    options: {
      markdowns: [
        '## ஆக சிரந்த செயல்!!!',
        '',
        'நீங்கள் *{numCommands}* நிலைக்கான கட்டளை(கள்) கொண்டு தீர்வை அடிந்து விட்டீர்கள்; ',
        'நமது தீர்வு {best}-ஐ பயன்படுத்து கின்றது.'
      ]
    }
  }],
   "it_IT": [
    {
      type: "ModalAlert",
      options: {
        markdowns: [
          "## Ben fatto!!!",
          "",
          "Hai risolto il livello con *{numCommands}* comando(i); ",
          "noi l'abbiamo risolto con {best}.",
        ],
      },
    },
  ],
  'tr_TR': [{
    type: 'ModalAlert',
    options: {
      markdowns: [
        '## Muhteşem!!!',
        '',
        'Bu seviyeyi *{numCommands}* komut ile çözdünüz.',
        'İdeal çözüm {best} komuttan oluşuyor.'
      ]
    }
  }],
};
 
